Name:		nrpe
Version:	2.14
Release:	%mkrel 1
Summary:	NRPE daemon for Nagios
License:	GPLv2
Group:		System/Servers
URL:		http://sourceforge.net/projects/nagios/
Source0:	http://prdownloads.sourceforge.net/nagios/%{name}-%{version}.tar.gz
Source1:	nrpe.service
Source2:	nrpe.tmpfiles
Patch1:		nrpe-mdv_conf.diff
BuildRequires:	openssl-devel
BuildRequires:	openssl
BuildRequires:	tcp_wrappers-devel
Requires:	tcp_wrappers
Requires(post): rpm-helper
Requires(preun): rpm-helper
Provides:       nagios-agent
Suggests:	nagios-plugins
Suggests:	nagios-check_users
Suggests:	nagios-check_load
Suggests:	nagios-check_procs
Suggests:	nagios-check_disk

%description
The purpose of this addon is to allow you to execute Nagios plugins on a remote
host in as transparent a manner as possible.

Nrpe is a system daemon that will execute various Nagios plugins locally on
behalf of a remote (monitoring) host that uses the check_nrpe plugin. Various
plugins that can be executed by the daemon are available at:
http://sourceforge.net/projects/nagiosplug

This package provides the core agent.

%package -n	nagios-check_nrpe
Summary:	NRPE Plugin for Nagios
Group:		Networking/Other
Requires:	nagios-plugins

%description -n	nagios-check_nrpe
Nrpe is a system daemon that will execute various Nagios plugins locally on
behalf of a remote (monitoring) host that uses the check_nrpe plugin. Various
plugins that can be executed by the daemon are available at:
http://sourceforge.net/projects/nagiosplug

This package provides the nrpe plugin for Nagios-related applications.

%prep
%setup -q
%patch1 -p0

perl -pi \
    -e 's|/usr/local/nagios/var/rw/nagios.cmd|/var/spool/nagios/nagios.cmd|;' \
    -e 's|/usr/local/nagios/etc/services.cfg|/etc/nagios/services.cfg|;' \
    contrib/nrpe_check_control.c


%build
%configure2_5x \
    --with-nrpe-port=5666 \
    --with-nrpe-user=nagios \
    --with-nrpe-group=nagios \
    --with-nagios-user=nagios \
    --with-nagios-group=nagios \
    --bindir=%{_sbindir} \
    --libexecdir=%{_libdir}/nagios/plugins \
    --datadir=%{_datadir}/nagios \
    --localstatedir=/var/spool/nagios \
    --sysconfdir=%{_sysconfdir}/nagios \
    --enable-command-args
%make

gcc %{optflags} -o contrib/nrpe_check_control contrib/nrpe_check_control.c

%install
rm -rf %{buildroot}

install -D -m 755 src/nrpe %{buildroot}%{_sbindir}/nrpe

install -d %{buildroot}%{_libdir}/nagios/plugins
install -m 755 src/check_nrpe %{buildroot}%{_libdir}/nagios/plugins/check_nrpe
install -m 755 contrib/nrpe_check_control %{buildroot}%{_libdir}/nagios/plugins/nrpe_check_control

install -D -m 644 %{SOURCE1} %{buildroot}%{_unitdir}/nrpe.service
install -D -m 644 %{SOURCE2} %{buildroot}%{_prefix}/lib/tmpfiles.d/nrpe.conf

install -D -m 644 sample-config/nrpe.cfg \
    %{buildroot}%{_sysconfdir}/nagios/nrpe.cfg

install -d %{buildroot}%{_sysconfdir}/nagios/plugins.d

cat > %{buildroot}%{_sysconfdir}/nagios/plugins.d/check_nrpe.cfg <<'EOF'
# this command runs a program $ARG1$ with arguments $ARG2$
define command {
	command_name	check_nrpe
	command_line	%{_libdir}/nagios/plugins/check_nrpe -H $HOSTADDRESS$ -c $ARG1$ -a $ARG2$
}

# this command runs a program $ARG1$ with no arguments
define command {
	command_name	check_nrpe_1arg
	command_line	%{_libdir}/nagios/plugins/check_nrpe -H $HOSTADDRESS$ -c $ARG1$
}
EOF

cat > %{buildroot}%{_sysconfdir}/nagios/plugins.d/nrpe_check_control.cfg <<'EOF'
define command {
	command_name	nrpe_check_control
	command_line	%{_libdir}/nagios/plugins/nrpe_check_control $SERVICESTATE$ $SERVICESTATETYPE$ $SERVICEATTEMPT$ "$HOSTNAME$"
}
EOF

%pre
%_pre_useradd nagios %{_localstatedir}/log/nagios /bin/sh

%post
%_post_service %{name}

%preun
%_preun_service %{name}

%postun
%_postun_userdel nagios

%files
%doc README LEGAL README.SSL Changelog SECURITY docs/NRPE.pdf
%dir %{_sysconfdir}/nagios/
%config(noreplace) %{_sysconfdir}/nagios/nrpe.cfg
%{_unitdir}/nrpe.service
%{_prefix}/lib/tmpfiles.d/nrpe.conf
%{_sbindir}/nrpe

%files -n nagios-check_nrpe
%doc contrib/README.nrpe_check_control
%config(noreplace) %{_sysconfdir}/nagios/plugins.d/check_nrpe.cfg
%config(noreplace) %{_sysconfdir}/nagios/plugins.d/nrpe_check_control.cfg
%{_libdir}/nagios/plugins/check_nrpe
%{_libdir}/nagios/plugins/nrpe_check_control




%changelog

* Fri Apr 05 2013 guillomovitch <guillomovitch> 2.14-1.mga3
+ Revision: 408308
- new version

  + dlucio <dlucio>
    - missing /run/nrpe

* Thu Mar 07 2013 dlucio <dlucio> 2.13-7.mga3
+ Revision: 401628
- Some suggests to make installation happier

* Sat Feb 16 2013 dlucio <dlucio> 2.13-6.mga3
+ Revision: 398710
- a suggestion

* Fri Feb 15 2013 dlucio <dlucio> 2.13-5.mga3
+ Revision: 398590
- New provides to let NRPE or Nagios be choosen for plugins

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Sep 06 2012 guillomovitch <guillomovitch> 2.13-3.mga3
+ Revision: 288802
- minor systemd service fixes

* Tue Sep 04 2012 guillomovitch <guillomovitch> 2.13-2.mga3
+ Revision: 287989
- use /run instead of /var/run
- new version
- drop sysinit support
- systemd support
- /run tmpfs support

  + nanardon <nanardon>
    - imported package nrpe


* Tue Sep 14 2010 Michael Scherer <misc@mandriva.org> 2.12-5mdv2011.0
+ Revision: 578194
- fix License
- fix unowned directory ( as nrpe is likely to be installed when nagios is not there )

* Fri May 14 2010 Guillaume Rousse <guillomovitch@mandriva.org> 2.12-4mdv2010.1
+ Revision: 544796
- add nagios user at installation (fix #59203)
- cleanup
- drop useless %%post, as we now use filetrggiers
- %%files section cleanup

* Fri Apr 16 2010 Funda Wang <fwang@mandriva.org> 2.12-3mdv2010.1
+ Revision: 535273
- rebuild

* Fri Sep 04 2009 Thierry Vignaud <tv@mandriva.org> 2.12-2mdv2010.0
+ Revision: 430183
- rebuild

* Sun Sep 07 2008 Oden Eriksson <oeriksson@mandriva.com> 2.12-1mdv2009.0
+ Revision: 282159
- 2.12

* Fri Aug 08 2008 Thierry Vignaud <tv@mandriva.org> 2.11-4mdv2009.0
+ Revision: 268289
- rebuild early 2009.0 package (before pixel changes)

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - sync initscript with ndo2db one

* Thu May 15 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.11-3mdv2009.0
+ Revision: 207538
- LSB headers in initscript

* Tue Apr 29 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.11-2mdv2009.0
+ Revision: 198954
- enable arguments

* Mon Feb 11 2008 Oden Eriksson <oeriksson@mandriva.com> 2.11-1mdv2008.1
+ Revision: 165295
- 2.11

* Sun Feb 10 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.9-2mdv2008.1
+ Revision: 164896
- no need to enforce a dependency on nagios-plugins, they are tons of nagios checks available in other packages

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Oct 12 2007 Oden Eriksson <oeriksson@mandriva.com> 2.9-1mdv2008.1
+ Revision: 97376
- 2.9

* Fri May 11 2007 Oden Eriksson <oeriksson@mandriva.com> 2.8.1-1mdv2008.0
+ Revision: 26291
- 2.8.1

* Tue Apr 17 2007 Oden Eriksson <oeriksson@mandriva.com> 2.7.1-1mdv2008.0
+ Revision: 13802
- 2.7.1


* Thu Jul 13 2006 Oden Eriksson <oeriksson@mandriva.com> 2.5.2-1mdv2007.0
- 2.5.2

* Wed Nov 30 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0-3mdk
- rebuilt against openssl-0.9.8a

* Fri Sep 10 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 2.0-2mdk
- fix path to conf file 
- fix requires

* Fri Sep 10 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 2.0-1mdk
- initial mdk release

